unit uPluginFacturasProveedor;

interface

uses
  uModuleController, uInterfaces, uHostManager, Menus, Classes, ActnList,
  ImgList, Controls, PngImageList;

type
  IMCFacturasProveedor = interface(IInterface)
  ['{271C68BC-F755-46B1-AEFF-769AC5172815}']
  end;

  TPluginFacturasProveedor = class(TModuleController, IMCFacturasProveedor)
    actFacturasProveedor: TAction;
    ExtraImages: TPngImageList;
    LargeImages: TPngImageList;
    MainMenu: TMainMenu;
    ModuleActionList: TActionList;
    SmallImages: TPngImageList;
    Compras1: TMenuItem;
    Facturasdeproveedor1: TMenuItem;
    procedure actFacturasProveedorExecute(Sender: TObject);
  public
    constructor Create(AOwner: TComponent); override;
    destructor Destroy; override;
  end;

implementation

{$R *.dfm}

uses
  Forms, Dialogs, SysUtils,
  uFacturasProveedorController, uBizFacturasProveedor, uFacturasProveedorViewRegister;

function GetModule : TModuleController;
begin
  Result := TPluginFacturasProveedor.Create(NIL);
end;

exports
  GetModule name GET_MODULE_FUNC;

procedure TPluginFacturasProveedor.actFacturasProveedorExecute(Sender: TObject);
var
  AFacturasProveedorController : IFacturasProveedorController;
  AFacturasProveedor : IBizFacturaProveedor;

begin
  AFacturasProveedorController := TFacturasProveedorController.Create;
  AFacturasProveedor := (AFacturasProveedorController.BuscarTodos as IBizFacturaProveedor);
  AFacturasProveedorController.VerTodos(AFacturasProveedor);
end;

constructor TPluginFacturasProveedor.Create(AOwner: TComponent);
begin
  inherited;
  uFacturasProveedorViewRegister.RegisterViews;
end;

destructor TPluginFacturasProveedor.Destroy;
begin
  uFacturasProveedorViewRegister.UnregisterViews;
  inherited;
end;

initialization
  RegisterModuleClass(TPluginFacturasProveedor);

finalization
  UnRegisterModuleClass(TPluginFacturasProveedor);

end.
